Updates permissions for a role.

POSThttps://api.awork.com/api/v1/roles/{roleId}/permissions
POST https://api.awork.com/api/v1/roles/{roleId}/permissions

Updates permissions for a role. The submitted permission is added, changed, or removed for the role.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

roleIdstringRequired
format: uuid

The id of the role.

Request body Required

The permission of role form payload.

application/json

featurestring or nullOptional

The feature these permissions belong to.

accessLevelsarray of string or nullOptional

The access levels applied to this feature.

Responses

200 OK

application/json

featurestring or nullOptional

The feature these permissions belong to.

accessLevelsarray of string or nullOptional

The access levels applied to this feature.

idstringOptional
format: uuid

The id of the permission.

createdOnstringOptional
format: date-time

The date this entity was created.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

500 Internal Server Error

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation